﻿package  {
	
	import flash.events.IOErrorEvent;
	import flash.events.Event;
	import flash.events.ProgressEvent;
	import flash.events.HTTPStatusEvent;
	import flash.display.Sprite;
	import flash.display.Loader;
	import flash.events.MouseEvent;
	
	import flash.net.URLRequest;
	
	public class MyLoader_Complete extends Sprite {
		
		private var myURL:String;
		private var loader:Loader;
		
		private var totBytesLoaded:Number;
		
		public function MyLoader_Complete() {

			myURL = "MyImage.png";
			
			loader = new Loader();
			
			loader.contentLoaderInfo.addEventListener(IOErrorEvent.IO_ERROR, loadError);
			loader.contentLoaderInfo.addEventListener(Event.OPEN, loadStart);
			loader.contentLoaderInfo.addEventListener(ProgressEvent.PROGRESS, loadProgress);
			loader.contentLoaderInfo.addEventListener(Event.INIT, initialised);
			loader.contentLoaderInfo.addEventListener(HTTPStatusEvent.HTTP_STATUS, httpStatus);
			loader.contentLoaderInfo.addEventListener(Event.COMPLETE, loadComplete);
			
			loadButton.addEventListener(MouseEvent.CLICK, loadAsset, false, 0, true);
		}
		
		private function loadAsset(evt:MouseEvent):void {

			loader.load(new URLRequest(myURL));
			
			removeChild(loadButton);
			
			loadButton.removeEventListener(MouseEvent.CLICK, loadAsset);
		}
		
		private function loadError(evt:IOErrorEvent):void
		{
			monitor.errorEventTF.text = "URL: '" + myURL + "' not found";
		}
		
		private function loadStart(evt:Event):void
		{
			monitor.openEventTF.text = String("Path opened");
		}
		
		private function loadProgress(evt:ProgressEvent):void
		{
			totBytesLoaded = Math.ceil(evt.bytesLoaded / 1024);
			monitor.progressEventTF.text = "Bytes loaded :" + String(totBytesLoaded) + "kb";
		}
		
		private function initialised(evt:Event):void
		{
			monitor.initEventTF.text = String("Initialized");
		}
		
		private function httpStatus(evt:HTTPStatusEvent):void
		{
			monitor.httpEventTF.text = String(evt.status);
		}
		
		private function loadComplete(evt:Event):void
		{
			monitor.completeEventTF.text = String("Load Complete");
			addChildAt(loader,0);
		}
	}
}